/*****************************************************************************
 * Blink589Ezkit_Core0.c
 *****************************************************************************/

#include <sys/platform.h>
#include <sys/adi_core.h>
#include "adi_initialize.h"
#include "Blink589Ezkit_Core0.h"

#define DELAY_COUNT 0x1000000
/*
 * LED10 PE_13
 * LED11 PE_14
 * LED12 PE_15
 */
/* just blink LED10 */
#define LED_MASK 0x00002000

int main()
{
	int i;
	/**
	 * Initialize managed drivers and/or services that have been added to 
	 * the project.
	 * @return zero on success 
	 */
	adi_initComponents();
	
	*pREG_PORTE_FER = 0;
	*pREG_PORTE_DIR_SET = LED_MASK;

	do{
		/* toggle on */
		*pREG_PORTE_DATA_SET = LED_MASK;

		for(i=0; i<DELAY_COUNT; i++)
			;

		/* toggle off */
		*pREG_PORTE_DATA_CLR = LED_MASK;

		for(i=0; i<DELAY_COUNT; i++)
			;

	}while(1);
	return 0;
}

