/*****************************************************************************
 * TurnOnLEDsEZKIT_Core0.c
 *****************************************************************************/

#include <sys/platform.h>
#include <sys/adi_core.h>
#include "adi_initialize.h"
#include "TurnOnLEDsEZKIT_Core0.h"

/*
 * LED10 PE_13
 * LED11 PE_14
 * LED12 PE_15
 */
/* turn on blink LED10 */
#define LED_MASK 0x00002000


int main()
{
	/**
	 * Initialize managed drivers and/or services that have been added to 
	 * the project.
	 * @return zero on success 
	 */
	adi_initComponents();
	
	/**
	 * The default startup code does not include any functionality to allow
	 * core 0 to enable core 1 and core 2. A convenient way to enable
	 * core 1 and core 2 is to use the adi_core_enable function. 
	 */
	adi_core_enable(ADI_CORE_SHARC0);
	adi_core_enable(ADI_CORE_SHARC1);

	*pREG_PORTE_FER = 0;
	*pREG_PORTE_DIR_SET = LED_MASK;
	*pREG_PORTE_DATA_SET = LED_MASK;


	return 0;
}

