/*****************************************************************************
 * TurnOnLEDsSAM_Core1.c
 *****************************************************************************/

#include <sys/platform.h>
#include <sys/adi_core.h>
#include "adi_initialize.h"
#include "TurnOnLEDsSAM_Core1.h"

volatile unsigned long *pREG_PORT_FER     = pREG_PORTD_FER;
volatile unsigned long *pREG_PORT_DIR_SET = pREG_PORTD_DIR_SET;
volatile unsigned long *pREG_PORT_DATA_TGL= pREG_PORTD_DATA_TGL;
volatile unsigned long *pREG_PORT_DATA_SET= pREG_PORTD_DATA_SET;
volatile unsigned long *pREG_PORT_DATA_CLR= pREG_PORTD_DATA_CLR;

/** 
 * If you want to use command program arguments, then place them in the following string. 
 */
char __argv_string[] = "";

int main(int argc, char *argv[])
{
	/**
	 * Initialize managed drivers and/or services that have been added to 
	 * the project.
	 * @return zero on success 
	 */
	adi_initComponents();
	
    *pREG_PORT_DATA_SET = 0x4;

	return 0;
}

